
from constants import *

def call_state_to_s(state):
    return {
        CALL_STATE_UNKNOWN: 'Unknown',
        CALL_STATE_PENDING_INITIATOR: 'Pending Initiator',
        CALL_STATE_PENDING_RECEIVER: 'Pending Receiver',
        CALL_STATE_ACCEPTED: 'Accepted',
        CALL_STATE_ENDED: 'Ended'
    }[state]

def call_flags_to_s(flags):
    flag_strs = {
        CALL_FLAG_LOCALLY_RINGING: 'Locally Ringing',
        CALL_FLAG_QUEUED: 'Queued',
        CALL_FLAG_LOCALLY_HELD: 'Locally Held',
        CALL_FLAG_FORWARDED: 'Forwarded',
        CALL_FLAG_IN_PROGRESS: 'In Progress',
        CALL_FLAG_CLEARING: 'Clearing'
    }

    return ' | '.join([ '%s (%d)' % (flag_strs[i], i)
        for i in flag_strs.keys() if flags & i ]) or 'None'
